org.keycloak.admin.client.resource

## Interface ProtocolMappersResource

-     public interface ProtocolMappersResource

  Author:
    Marek Posolda

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `createMapper(List<ProtocolMapperRepresentation> reps)`
    `javax.ws.rs.core.Response` | `createMapper(ProtocolMapperRepresentation rep)`
    `void` | `delete(String id)`
    `ProtocolMapperRepresentation` | `getMapperById(String id)`
    `List<ProtocolMapperRepresentation>` | `getMappers()`
    `List<ProtocolMapperRepresentation>` | `getMappersPerProtocol(String protocol)`
    `void` | `update(String id, ProtocolMapperRepresentation rep)`

- - ### Method Detail

    - #### getMappersPerProtocol

          @GET
          @Path(value="protocol/{protocol}")
          @Produces(value="application/json")
          List<ProtocolMapperRepresentation> getMappersPerProtocol(@PathParam(value="protocol")
                                                                                   String protocol)

    - #### createMapper

          @Path(value="models")
          @POST
          @Consumes(value="application/json")
          javax.ws.rs.core.Response createMapper(ProtocolMapperRepresentation rep)

    - #### createMapper

          @Path(value="add-models")
          @POST
          @Consumes(value="application/json")
          void createMapper(List<ProtocolMapperRepresentation> reps)

    - #### getMappers

          @GET
          @Path(value="models")
          @Produces(value="application/json")
          List<ProtocolMapperRepresentation> getMappers()

    - #### getMapperById

          @GET
          @Path(value="models/{id}")
          @Produces(value="application/json")
          ProtocolMapperRepresentation getMapperById(@PathParam(value="id")
                                                                     String id)

    - #### update

          @PUT
          @Path(value="models/{id}")
          @Consumes(value="application/json")
          void update(@PathParam(value="id")
                                      String id,
                                      ProtocolMapperRepresentation rep)

    - #### delete

          @DELETE
          @Path(value="models/{id}")
          void delete(@PathParam(value="id")
                                String id)

Copyright © 2015. All rights reserved.